﻿package actionscript{

	//Imports
	import flash.display.*;
	import flash.events.*;
	import flash.net.*;
	import flash.text.*;

	import com.greensock.*;
	import com.greensock.easing.*;

	public class DeZeeparel extends MovieClip {

		//Fields
		private var WIDTH:int;
		private var HEIGHT:int;

		private var bmpFoto:Bitmap;
		private var bmpFoto2:Bitmap;
		private var bmpFoto3:Bitmap;
		private var bmpFoto4:Bitmap;

		private var fotoMC:MovieClip;
		private var darkBlue:DarkBlue;
		private var startLoading:Loading;
		private var contentMC:MovieClip;
		private var loading:Boolean;
		private var huidigePositie:String;
		private var huidigeFoto:int;

		private var page1:Boolean;
		private var page2:Boolean;
		private var page3:Boolean;
		private var page4:Boolean;

		private var totalBytesTotal:int;
		private var bytesLoaded1:int;
		private var bytesLoaded2:int;
		private var bytesLoaded3:int;
		private var bytesLoaded4:int;

		private var isStartedLoading1:Boolean;
		private var isStartedLoading2:Boolean;
		private var isStartedLoading3:Boolean;
		private var isStartedLoading4:Boolean;

		private var isLoadingComplete1:Boolean;
		private var isLoadingComplete2:Boolean;
		private var isLoadingComplete3:Boolean;
		private var isLoadingComplete4:Boolean;

		private var textTitle1:TextField;
		private var textTitle2:TextField;
		private var textTitle3:TextField;
		private var textTitle4:TextField;

		private var menuMC:MovieClip;
		private var menu:MovieClip;
		private var txt1:TextField;
		private var txt2:TextField;
		private var txt3:TextField;
		private var txt4:TextField;
		private var menuWidth:int;
		private var mc1:MovieClip;
		private var mc2:MovieClip;
		private var mc3:MovieClip;
		private var mc4:MovieClip;

		private var homeMC:Home;
		private var menuPageMC:MovieClip;
		private var buttonsMC:MenuButtonsMC;
		private var liggingMC:Ligging;
		private var reservatieMC:Reservatie;

		private var settings:SettingsLoader;
		private var connection:NetConnection;
		private var menuCollection:Array;
		private var currentIndex:int;

		//Constructor
		public function DeZeeparel():void {
			trace("start");

			initStartup();
			initSettings();
		}

		private function initStartup():void {
			loading=true;
			startLoading = new Loading();
			addChild(startLoading);

			setStage();
			resizestartLoading();

			var ldr1:Loader=new Loader();
			ldr1.contentLoaderInfo.addEventListener(Event.COMPLETE, loadFotoCompleteHandler1);
			ldr1.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, progressHandler1);
			ldr1.load(new URLRequest("images/foto1.jpg"));

			var ldr2:Loader=new Loader();
			ldr2.contentLoaderInfo.addEventListener(Event.COMPLETE, loadFotoCompleteHandler2);
			ldr2.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, progressHandler2);
			ldr2.load(new URLRequest("images/foto2.jpg"));

			var ldr3:Loader=new Loader();
			ldr3.contentLoaderInfo.addEventListener(Event.COMPLETE, loadFotoCompleteHandler3);
			ldr3.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, progressHandler3);
			ldr3.load(new URLRequest("images/foto3.jpg"));

			var ldr4:Loader=new Loader();
			ldr4.contentLoaderInfo.addEventListener(Event.COMPLETE, loadFotoCompleteHandler4);
			ldr4.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, progressHandler4);
			ldr4.load(new URLRequest("images/foto4.jpg"));

			stage.addEventListener(Event.RESIZE, stageResize);
		}

		private function totalProgressHandler():void {
			var totalBytesLoaded=bytesLoaded1+bytesLoaded2+bytesLoaded3+bytesLoaded4;
			startLoading.txtLoading.text=Math.round(totalBytesLoaded/totalBytesTotal*100)+"%";
		}
		private function loadingComplete():void {
			if (isLoadingComplete1==true&&isLoadingComplete2==true&&isLoadingComplete3==true&&isLoadingComplete4==true) {
				startLoading.txtLoading.text="100%";
				loading=false;
				initLogo();
			}
		}

		private function progressHandler1(e:ProgressEvent):void {
			if (isStartedLoading1!=true) {
				isStartedLoading1=true;
				totalBytesTotal+=e.bytesTotal;
			}
			bytesLoaded1=e.bytesLoaded;
			totalProgressHandler();
		}
		private function loadFotoCompleteHandler1(event:Event):void {
			bmpFoto=event.currentTarget.content;
			isLoadingComplete1=true;
			loadingComplete();
		}

		private function progressHandler2(e:ProgressEvent):void {
			if (isStartedLoading2!=true) {
				isStartedLoading2=true;
				totalBytesTotal+=e.bytesTotal;
			}
			bytesLoaded1=e.bytesLoaded;
			totalProgressHandler();
		}
		private function loadFotoCompleteHandler2(event:Event):void {
			bmpFoto2=event.currentTarget.content;
			isLoadingComplete2=true;
			loadingComplete();
		}

		private function progressHandler3(e:ProgressEvent):void {
			if (isStartedLoading3!=true) {
				isStartedLoading3=true;
				totalBytesTotal+=e.bytesTotal;
			}
			bytesLoaded3=e.bytesLoaded;
			totalProgressHandler();
		}
		private function loadFotoCompleteHandler3(event:Event):void {
			bmpFoto3=event.currentTarget.content;
			isLoadingComplete3=true;
			loadingComplete();
		}

		private function progressHandler4(e:ProgressEvent):void {
			if (isStartedLoading4!=true) {
				isStartedLoading4=true;
				totalBytesTotal+=e.bytesTotal;
			}
			bytesLoaded4=e.bytesLoaded;
			totalProgressHandler();
		}
		private function loadFotoCompleteHandler4(event:Event):void {
			bmpFoto4=event.currentTarget.content;
			isLoadingComplete4=true;
			loadingComplete();
		}

		private function initLogo():void {
			var breedte:int=(startLoading.width+45)/5;
			var yPos1:int=startLoading.y-192.5;

			TweenLite.to(startLoading.txtLoading,0.5,{alpha:0});
			TweenLite.to(startLoading.barsMC,0.7,{ease:Quad.easeInOut,x:-WIDTH/2+breedte,width:WIDTH});
			TweenLite.to(startLoading,0.5,{delay:0.7,ease:Quad.easeInOut,y:yPos1});
			TweenLite.to(startLoading.topMC,0.4,{delay:1.2,ease:Quad.easeInOut,y:-yPos1,height:HEIGHT,alpha:0.52,onComplete:initFoto});

			huidigePositie="rechts";
		}

		private function initFoto():void {
			fotoMC = new MovieClip();
			startLoading.addChild(fotoMC);

			fotoMC.x=startLoading.logo.x;
			fotoMC.y=startLoading.logo.height;

			huidigeFoto=1;

			bmpFoto.x=274;
			fotoMC.addChild(bmpFoto);
			bmpFoto2.x=274;
			fotoMC.addChild(bmpFoto2);
			bmpFoto3.x=274;
			fotoMC.addChild(bmpFoto3);
			bmpFoto4.x=274;
			fotoMC.addChild(bmpFoto4);

			var maskMC:MovieClip = new MovieClip();
			maskMC.graphics.beginFill(0XFF0000,0.4);
			maskMC.graphics.drawRect(0,0,274,400);
			maskMC.graphics.endFill();
			fotoMC.addChild(maskMC);
			fotoMC.mask=maskMC;

			startLoading.setChildIndex(startLoading.logo,startLoading.numChildren-1);

			TweenLite.to(bmpFoto,0.5,{ease:Back.easeOut,x:0});

			darkBlue = new DarkBlue();
			darkBlue.width=0;
			darkBlue.height=HEIGHT-470-startLoading.y;
			darkBlue.y=fotoMC.y+335;
			darkBlue.x=fotoMC.x+274;

			startLoading.addChild(darkBlue);
			TweenLite.to(darkBlue,0.3,{ease:Quad.easeInOut,width:WIDTH,x:-(WIDTH/2-109)});

			startLoading.setChildIndex(darkBlue,0);

			initTitleText();
		}

		private function initTitleText():void {
			var century:Font=new CenturyGothic();
			var format:TextFormat=new TextFormat();
			format.color=0x99C6DE;
			format.font=century.fontName;

			textTitle1=new TextField();
			textTitle1.autoSize=TextFieldAutoSize.LEFT;
			textTitle1.selectable=false;
			textTitle1.embedFonts=true;
			textTitle1.text="HOME";
			textTitle1.x=bmpFoto.width+5;
			textTitle1.y=bmpFoto.height+7;
			format.size=20;
			textTitle1.setTextFormat(format);

			textTitle2=new TextField();
			textTitle2.autoSize=TextFieldAutoSize.LEFT;
			textTitle2.selectable=false;
			textTitle2.embedFonts=true;
			textTitle2.text="MENU'S";
			textTitle2.x=bmpFoto.width+5;
			textTitle2.y=bmpFoto.height+7;
			format.size=20;
			textTitle2.setTextFormat(format);

			textTitle3=new TextField();
			textTitle3.autoSize=TextFieldAutoSize.LEFT;
			textTitle3.selectable=false;
			textTitle3.embedFonts=true;
			textTitle3.text="LIGGING";
			textTitle3.x=bmpFoto.width+5;
			textTitle3.y=bmpFoto.height+7;
			format.size=20;
			textTitle3.setTextFormat(format);

			textTitle4=new TextField();
			textTitle4.autoSize=TextFieldAutoSize.LEFT;
			textTitle4.selectable=false;
			textTitle4.embedFonts=true;
			textTitle4.text="RESERVATIE";
			textTitle4.x=bmpFoto.width+5;
			textTitle4.y=bmpFoto.height+7;
			format.size=20;
			textTitle4.setTextFormat(format);

			fotoMC.addChild(textTitle1);
			fotoMC.addChild(textTitle2);
			fotoMC.addChild(textTitle3);
			fotoMC.addChild(textTitle4);

			TweenLite.to(textTitle1,0.5,{ease:Back.easeOut,x:7,onComplete:initMenu});
		}

		private function initMenu():void {
			var century:Font=new CenturyGothic();
			var format:TextFormat=new TextFormat();
			format.color=0xFFFFFF;
			format.font=century.fontName;
			format.size=16;

			txt1=new TextField();
			txt1.autoSize=TextFieldAutoSize.LEFT;
			txt1.selectable=false;
			txt1.embedFonts=true;
			txt1.text="home";
			txt1.setTextFormat(format);
			mc1=new MovieClip();
			mc1.mouseChildren=false;
			mc1.addChild(txt1);

			txt2=new TextField();
			txt2.autoSize=TextFieldAutoSize.LEFT;
			txt2.selectable=false;
			txt2.embedFonts=true;
			txt2.text="menu's";
			txt2.x=txt1.width+25;
			txt2.setTextFormat(format);
			mc2=new MovieClip();
			mc2.mouseChildren=false;
			mc2.addChild(txt2);

			txt3=new TextField();
			txt3.autoSize=TextFieldAutoSize.LEFT;
			txt3.selectable=false;
			txt3.embedFonts=true;
			txt3.text="ligging";
			txt3.x=txt2.x+txt2.width+25;
			txt3.setTextFormat(format);
			mc3=new MovieClip();
			mc3.mouseChildren=false;
			mc3.addChild(txt3);

			txt4=new TextField();
			txt4.autoSize=TextFieldAutoSize.LEFT;
			txt4.selectable=false;
			txt4.embedFonts=true;
			txt4.text="reservatie";
			txt4.x=txt3.x+txt3.width+25;
			txt4.setTextFormat(format);
			mc4=new MovieClip();
			mc4.mouseChildren=false;
			mc4.addChild(txt4);

			menuMC = new MovieClip();

			menuWidth=txt1.width+txt2.width+txt3.width+txt4.width+75;

			menuMC.y=startLoading.logo.height+bmpFoto.height+9;
			menuMC.x=startLoading.logo.x-menuWidth-100;

			menu=new MovieClip();
			menu.addChild(mc1);
			menu.addChild(mc2);
			menu.addChild(mc3);
			menu.addChild(mc4);

			menu.x=menuWidth+100;

			menuMC.addChild(menu);

			var maskMC:MovieClip = new MovieClip();
			maskMC.graphics.beginFill(0XFF0000,0.4);
			maskMC.graphics.drawRect(0,0,menuWidth+100,25);
			maskMC.graphics.endFill();
			menuMC.addChild(maskMC);
			menuMC.mask=maskMC;

			startLoading.addChild(menuMC);

			page1=true;
			page2=false;
			page3=false;
			page4=false;

			TweenLite.to(menu,1.2,{ease:Back.easeOut,x:50,onComplete:makeButtons});

			initContent();
		}

		private function initContent():void {
			contentMC=new MovieClip();
			homeMC=new Home();

			contentMC.x=menuMC.x;
			contentMC.y=fotoMC.y;
			homeMC.x=menuWidth+100;
			homeMC.y=(bmpFoto.height/2-homeMC.height/2)-20;

			var maskMC:MovieClip = new MovieClip();
			maskMC.graphics.beginFill(0XFF0000,0.4);
			maskMC.graphics.drawRect(0,0,menuWidth+100,bmpFoto.height);
			maskMC.graphics.endFill();
			contentMC.addChild(maskMC);
			contentMC.mask=maskMC;

			startLoading.addChild(contentMC);
			contentMC.addChild(homeMC);

			TweenLite.to(homeMC,1.2,{ease:Back.easeOut,x:50});

			initMenus();
			initLigging();
			initReservatie();
		}

		private function initReservatie():void {
			reservatieMC=new Reservatie();
			reservatieMC.x=- menuWidth-55;
			reservatieMC.y=(bmpFoto.height/2-reservatieMC.height/2);
			reservatieMC.visible=false;
			reservatieMC.btnSend.mouseChildren=false;

			reservatieMC.btnSend.buttonMode=true;
			reservatieMC.btnSend.addEventListener(MouseEvent.CLICK,sendHandler);

			contentMC.addChild(reservatieMC);
		}

		private function sendHandler(e:MouseEvent):void {
			reservatieMC.btnSend.buttonMode=false;
			reservatieMC.btnSend.removeEventListener(MouseEvent.CLICK,sendHandler);
			
			reservatieMC.strNaam.alpha=0;
			reservatieMC.strTel.alpha=0;
			reservatieMC.strMail.alpha=0;
			reservatieMC.strDatum.alpha=0;
			reservatieMC.strUur.alpha=0;
			reservatieMC.strAantal.alpha=0;
			reservatieMC.txtVerplicht.alpha=0;
			
			var bValue1:Boolean=false;
			var bValue2:Boolean=false;
			var bValue3:Boolean=false;
			var bValue4:Boolean=false;
			var bValue5:Boolean=false;
			var bValue6:Boolean=false;
			
			if (reservatieMC.txtNaam.text!="") {
				bValue1=true;
			} else {
				reservatieMC.strNaam.alpha=1;
			}

			if (reservatieMC.txtTel.text!="") {
				bValue2=true;
			} else {
				reservatieMC.strTel.alpha=1;
			}

			if (reservatieMC.txtMail.text!="") {
				bValue3=true;
			} else {
				reservatieMC.strMail.alpha=1;
			}

			if (reservatieMC.txtDatum.text!="") {
				bValue4=true;
			} else {
				reservatieMC.strDatum.alpha=1;
			}

			if (reservatieMC.txtUur.text!="") {
				bValue5=true;
			} else {
				reservatieMC.strUur.alpha=1;
			}

			if (reservatieMC.txtAantal.text!="") {
				bValue6=true;
			} else {
				reservatieMC.strAantal.alpha=1;
			}
			
			if(bValue1 && bValue2 && bValue3 && bValue4 && bValue5 && bValue6){
				verwerkReservatie();
			} else {
				reservatieMC.txtVerplicht.alpha=1;
				reservatieMC.btnSend.buttonMode=true;
				reservatieMC.btnSend.addEventListener(MouseEvent.CLICK,sendHandler);
			}
		}
		
		private function verwerkReservatie():void {
			reservatieMC.sending.visible=true;
			TweenLite.to(reservatieMC.sending,1,{alpha:1});
			
			var txtInfo:String="Reservatie voor De Zeeparel: \n\nNaam: ";
			txtInfo=txtInfo+reservatieMC.txtNaam.text+"\nE-mail: "+reservatieMC.txtMail.text+"\nTel: ";
			txtInfo=txtInfo+reservatieMC.txtTel.text+"\n\nDatum: "+reservatieMC.txtDatum.text+"\nUur: ";
			txtInfo=txtInfo+reservatieMC.txtUur.text+"\nAantal personen: "+reservatieMC.txtAantal.text;
			
			var vars:URLVariables = new URLVariables();
			vars.Sender = settings.senderAddress;
			vars.Receiver = settings.receiverAddress;
			vars.Subject = "Reservatie De Zeeparel";
			vars.Body = txtInfo;
	
			var req:URLRequest = new URLRequest("http://www.cursoa.be/howestmailer.asp");
			req.method = "POST";
			req.data = vars;	
	
			var ldr:URLLoader = new URLLoader();
			ldr.addEventListener(Event.COMPLETE, gegevensVerstuurd);
			ldr.load(req);
		}
		
		function gegevensVerstuurd(evt:Event):void{
			reservatieMC.txtNaam.text="";
			reservatieMC.txtTel.text="";
			reservatieMC.txtMail.text="";
			reservatieMC.txtDatum.text="";
			reservatieMC.txtUur.text="";
			reservatieMC.txtAantal.text="";
			
			TweenLite.to(reservatieMC.sending,1,{alpha:0});
			TweenLite.to(reservatieMC.txtVerzonden,1,{alpha:1});
		}

		private function initLigging():void {
			liggingMC=new Ligging();
			liggingMC.x=menuWidth+100;
			liggingMC.y=(bmpFoto.height/2-liggingMC.height/2)-20;
			liggingMC.visible=false;

			contentMC.addChild(liggingMC);
		}

		private function initMenus():void {
			menuPageMC = new MovieClip();
			menuPageMC.visible=false;

			var teller:int=0;
			for each (var item:Menu in menuCollection) {
				teller++;
				item.alpha=0;
				
				if (teller==1) {
					item.alpha=1;
				}
				menuPageMC.addChild(item);
			}

			currentIndex=0;

			buttonsMC = new MenuButtonsMC();
			buttonsMC.x=menuPageMC.width/2-buttonsMC.width/2;
			buttonsMC.y=menuPageMC.height+17;
			menuPageMC.addChild(buttonsMC);
			setMenusButtons();

			menuPageMC.x=- menuWidth-100;
			menuPageMC.y=(bmpFoto.height/2-menuPageMC.height/2);
			contentMC.addChild(menuPageMC);
		}

		private function setMenusButtons():void {
			if (currentIndex<=0) {
				buttonsMC.btnLeft.alpha=0.5;
				buttonsMC.btnLeft.buttonMode=false;
				buttonsMC.btnLeft.removeEventListener(MouseEvent.ROLL_OVER,rollOverHandler);
				buttonsMC.btnLeft.removeEventListener(MouseEvent.ROLL_OUT,rollOutHandler);
				buttonsMC.btnLeft.removeEventListener(MouseEvent.CLICK,leftClickHandler);
			} else {
				buttonsMC.btnLeft.alpha=1;
				buttonsMC.btnLeft.buttonMode=true;
				buttonsMC.btnLeft.addEventListener(MouseEvent.ROLL_OVER,rollOverHandler);
				buttonsMC.btnLeft.addEventListener(MouseEvent.ROLL_OUT,rollOutHandler);
				buttonsMC.btnLeft.addEventListener(MouseEvent.CLICK,leftClickHandler);
			}

			if (currentIndex>=menuCollection.length-1) {
				buttonsMC.btnRight.alpha=0.5;
				buttonsMC.btnRight.buttonMode=false;
				buttonsMC.btnRight.removeEventListener(MouseEvent.ROLL_OVER,rollOverHandler);
				buttonsMC.btnRight.removeEventListener(MouseEvent.ROLL_OUT,rollOutHandler);
				buttonsMC.btnRight.removeEventListener(MouseEvent.CLICK,rightClickHandler);
			} else {
				buttonsMC.btnRight.alpha=1;
				buttonsMC.btnRight.buttonMode=true;
				buttonsMC.btnRight.addEventListener(MouseEvent.ROLL_OVER,rollOverHandler);
				buttonsMC.btnRight.addEventListener(MouseEvent.ROLL_OUT,rollOutHandler);
				buttonsMC.btnRight.addEventListener(MouseEvent.CLICK,rightClickHandler);
			}
		}

		private function rollOverHandler(e:MouseEvent):void {
			e.currentTarget.alpha=0.75;
		}
		private function rollOutHandler(e:MouseEvent):void {
			e.currentTarget.alpha=1;
		}

		private function leftClickHandler(e:MouseEvent):void {
			TweenLite.to(menuCollection[currentIndex],0.3,{alpha:0});
			currentIndex=currentIndex-1;
			setMenusButtons();
			TweenLite.to(menuCollection[currentIndex],0.3,{alpha:1});
		}

		private function rightClickHandler(e:MouseEvent):void {
			TweenLite.to(menuCollection[currentIndex],0.3,{alpha:0});
			currentIndex=currentIndex+1;
			setMenusButtons();
			TweenLite.to(menuCollection[currentIndex],0.3,{alpha:1});
		}

		private function makeButtons():void {
			if (page1==true) {
				mc1.buttonMode=false;
				mc1.removeEventListener(MouseEvent.CLICK,openPage1);
				mc2.buttonMode=true;
				mc2.addEventListener(MouseEvent.CLICK,openPage2);
				mc3.buttonMode=true;
				mc3.addEventListener(MouseEvent.CLICK,openPage3);
				mc4.buttonMode=true;
				mc4.addEventListener(MouseEvent.CLICK,openPage4);
			} else if (page2==true) {
				mc1.buttonMode=true;
				mc1.addEventListener(MouseEvent.CLICK,openPage1);
				mc2.buttonMode=false;
				mc2.removeEventListener(MouseEvent.CLICK,openPage2);
				mc3.buttonMode=true;
				mc3.addEventListener(MouseEvent.CLICK,openPage3);
				mc4.buttonMode=true;
				mc4.addEventListener(MouseEvent.CLICK,openPage4);
			} else if (page3==true) {
				mc1.buttonMode=true;
				mc1.addEventListener(MouseEvent.CLICK,openPage1);
				mc2.buttonMode=true;
				mc2.addEventListener(MouseEvent.CLICK,openPage2);
				mc3.buttonMode=false;
				mc3.removeEventListener(MouseEvent.CLICK,openPage3);
				mc4.buttonMode=true;
				mc4.addEventListener(MouseEvent.CLICK,openPage4);
			} else if (page4==true) {
				mc1.buttonMode=true;
				mc1.addEventListener(MouseEvent.CLICK,openPage1);
				mc2.buttonMode=true;
				mc2.addEventListener(MouseEvent.CLICK,openPage2);
				mc3.buttonMode=true;
				mc3.addEventListener(MouseEvent.CLICK,openPage3);
				mc4.buttonMode=false;
				mc4.removeEventListener(MouseEvent.CLICK,openPage4);
			}
		}

		private function disableMenu():void {
			mc1.buttonMode=false;
			mc1.removeEventListener(MouseEvent.CLICK,openPage1);
			mc2.buttonMode=false;
			mc2.removeEventListener(MouseEvent.CLICK,openPage2);
			mc3.buttonMode=false;
			mc3.removeEventListener(MouseEvent.CLICK,openPage3);
			mc4.buttonMode=false;
			mc4.removeEventListener(MouseEvent.CLICK,openPage4);
		}

		private function openPage1(e:MouseEvent):void {
			page1=true;
			page2=false;
			page3=false;
			page4=false;

			disableMenu();

			changePictureTitle(1);
			changePosition("rechts");
		}
		private function openPage2(e:MouseEvent):void {
			page1=false;
			page2=true;
			page3=false;
			page4=false;

			disableMenu();

			changePictureTitle(2);
			changePosition("links");
		}
		private function openPage3(e:MouseEvent):void {
			page1=false;
			page2=false;
			page3=true;
			page4=false;

			disableMenu();

			changePictureTitle(3);
			changePosition("rechts");
		}
		private function openPage4(e:MouseEvent):void {
			page1=false;
			page2=false;
			page3=false;
			page4=true;

			disableMenu();

			changePictureTitle(4);
			changePosition("links");
		}

		private function contentRechts():void {
			contentMC.x=- startLoading.logo.width+11+startLoading.logo.width;
		}

		private function contentLinks():void {
			contentMC.x=112-menuWidth;
		}

		private function changePictureTitle(volgend:int):void {
			var bmp:Bitmap;
			var txt:TextField;

			if (huidigeFoto==1) {
				if (volgend!=1&&volgend!=3) {
					TweenLite.to(menu,1.2,{ease:Back.easeIn,x:menuWidth+100,onComplete:contentRechts});
				}
				if (volgend!=1) {
					TweenLite.to(homeMC,1.2,{ease:Back.easeIn,x:menuWidth+100,onComplete:setVisible,onCompleteParams:[homeMC]});
				}
				bmp=bmpFoto;
				txt=textTitle1;
			} else if (huidigeFoto==2) {
				if (volgend!=2&&volgend!=4) {
					TweenLite.to(menu,1.2,{ease:Back.easeIn,x:-menuWidth-100,onComplete:contentLinks});
				}
				if (volgend!=2) {
					TweenLite.to(menuPageMC,1.2,{ease:Back.easeIn,x:-menuWidth-100,onComplete:setVisible,onCompleteParams:[menuPageMC]});
				}
				bmp=bmpFoto2;
				txt=textTitle2;
			} else if (huidigeFoto==3) {
				if (volgend!=1&&volgend!=3) {
					TweenLite.to(menu,1.2,{ease:Back.easeIn,x:menuWidth+100,onComplete:contentRechts});
				}
				if (volgend!=3) {
					TweenLite.to(liggingMC,1.2,{ease:Back.easeIn,x:menuWidth+100,onComplete:setVisible,onCompleteParams:[liggingMC]});
				}
				bmp=bmpFoto3;
				txt=textTitle3;
			} else {
				if (volgend!=2&&volgend!=4) {
					TweenLite.to(menu,1.2,{ease:Back.easeIn,x:-menuWidth-100,onComplete:contentLinks});
				}
				if (volgend!=4) {
					reservatieMC.txtVerzonden.alpha=0;
					TweenLite.to(reservatieMC,1.2,{ease:Back.easeIn,x:-menuWidth-100,onComplete:setVisible,onCompleteParams:[reservatieMC]});
				}
				bmp=bmpFoto4;
				txt=textTitle4;
			}

			TweenLite.to(bmp,1.2,{delay:1.2,ease:Back.easeOut,x:-bmp.width});
			TweenLite.to(txt,1.2,{delay:1.2,ease:Back.easeOut,x:-bmp.width+7});

			if (volgend==1) {
				bmpFoto.x=274;
				textTitle1.x=282;
				TweenLite.to(bmpFoto,1.2,{delay:1.2,ease:Back.easeOut,x:0});
				TweenLite.to(textTitle1,1.2,{delay:1.2,ease:Back.easeOut,x:7});
			} else if (volgend==2) {
				bmpFoto2.x=274;
				textTitle2.x=282;
				TweenLite.to(bmpFoto2,1.2,{delay:1.2,ease:Back.easeOut,x:0});
				TweenLite.to(textTitle2,1.2,{delay:1.2,ease:Back.easeOut,x:7});
			} else if (volgend==3) {
				bmpFoto3.x=274;
				textTitle3.x=282;
				TweenLite.to(bmpFoto3,1.2,{delay:1.2,ease:Back.easeOut,x:0});
				TweenLite.to(textTitle3,1.2,{delay:1.2,ease:Back.easeOut,x:7});
			} else {
				bmpFoto4.x=274;
				textTitle4.x=282;
				TweenLite.to(bmpFoto4,1.2,{delay:1.2,ease:Back.easeOut,x:0});
				TweenLite.to(textTitle4,1.2,{delay:1.2,ease:Back.easeOut,x:7});
			}

			huidigeFoto=volgend;
		}

		private function setVisible(mc:MovieClip):void {
			mc.visible=false;
		}

		private function changePosition(positie:String):void {
			if (huidigePositie!=positie) {
				var xPos:int;

				if (positie=="links") {
					xPos=- startLoading.logo.width+45;
				} else {
					xPos=212;
				}
				huidigePositie=positie;

				TweenLite.to(startLoading.topMC,1.2,{delay:1.2,ease:Back.easeOut,x:xPos});
				TweenLite.to(startLoading.logo,1.2,{delay:1.2,ease:Back.easeOut,x:xPos});
				TweenLite.to(fotoMC,1.2,{delay:1.2,ease:Back.easeOut,x:xPos,onComplete:openMenu,onCompleteParams:[xPos]});
			} else {
				makeButtons();
				switchPages(false);
			}
		}

		private function switchPages(bool:Boolean):void {
			if (page1==true) {
				homeMC.visible=true;
				if (bool==false) {
					TweenLite.to(homeMC,1.2,{delay:1.2,ease:Back.easeOut,x:50});
				} else {
					TweenLite.to(homeMC,1.2,{ease:Back.easeOut,x:50});
				}
			}
			if (page2==true) {
				menuPageMC.visible=true;
				if (bool==false) {
					TweenLite.to(menuPageMC,1.2,{delay:1.2,ease:Back.easeOut,x:50});
				} else {
					TweenLite.to(menuPageMC,1.2,{ease:Back.easeOut,x:50});
				}
			}
			if (page3==true) {
				liggingMC.visible=true;
				if (bool==false) {
					TweenLite.to(liggingMC,1.2,{delay:1.2,ease:Back.easeOut,x:50});
				} else {
					TweenLite.to(liggingMC,1.2,{ease:Back.easeOut,x:50});
				}
			}
			if (page4==true) {
				reservatieMC.visible=true;
				if (bool==false) {
					TweenLite.to(reservatieMC,1.2,{delay:1.2,ease:Back.easeOut,x:95});
				} else {
					TweenLite.to(reservatieMC,1.2,{ease:Back.easeOut,x:95});
				}
			}
		}

		private function openMenu(xPos:int):void {
			if (huidigePositie=="links") {
				menu.x=-menuWidth-100;
				menuMC.x=11;
			} else {
				menu.x=menuWidth+100;
				menuMC.x=startLoading.logo.x-menuWidth-100;
			}
			TweenLite.to(menu,1.2,{ease:Back.easeOut,x:50,onComplete:makeButtons});

			switchPages(true);
		}

		private function setStage():void {
			stage.scaleMode=StageScaleMode.NO_SCALE;
			stage.align=StageAlign.TOP_LEFT;

			WIDTH=stage.stageWidth;
			HEIGHT=stage.stageHeight;
		}

		private function stageResize(e:Event):void {
			setStage();

			if (loading==true) {
				resizestartLoading();
			}
			if (page1==true||page2==true||page3==true||page4==true) {
				resizePage();
			}
		}

		private function resizestartLoading():void {
			var breedte:int=(startLoading.width+45)/5;
			startLoading.x=WIDTH/2-breedte;
			startLoading.y=HEIGHT/2-startLoading.height/2;
		}
		private function resizePage():void {
			startLoading.barsMC.width=WIDTH;
			startLoading.topMC.height=HEIGHT;
			darkBlue.width=WIDTH;
			darkBlue.height=HEIGHT-darkBlue.y;
		}

		private function initSettings():void {
			settings=SettingsLoader.getInstance();
			settings.addEventListener(SettingsLoader.SETTINGS_LOADED,settingsLoadedHandler);
			settings.loadXML();
		}

		private function settingsLoadedHandler(e:Event):void {
			connection = new NetConnection();
			connection.connect(settings.httproot);

			var getAllMenusResponder:Responder=new Responder(getAllMenusResponderHandler,getAllMenusResponderFault);
			connection.call("zeeparelService.getAllMenus",getAllMenusResponder);
		}

		private function getAllMenusResponderHandler(obj:Object):void {
			menuCollection=new Array();

			var resultArray:Array=obj.serverInfo.initialData as Array;

			for each (var item:Array in resultArray) {
				var tempMenu:Menu=new Menu();

				tempMenu.id=item[0];
				tempMenu.titel=unescape(item[1]);
				tempMenu.gang1=unescape(item[2]);
				tempMenu.gang2=unescape(item[3]);
				tempMenu.gang3=unescape(item[4]);

				menuCollection.push(tempMenu);
			}
		}

		private function getAllMenusResponderFault(obj:Object):void {
			trace("fault");
		}
	}
}