﻿package actionscript {
	
	import flash.events.*;
	import flash.net.*;
	
	public dynamic class SettingsLoader extends EventDispatcher{
		
		public static var instance:SettingsLoader;
		public static const SETTINGS_LOADED:String = "SettingsLoaded";
		
		public function SettingsLoader(obj:MaarEenKeerAanmaken):void {
			//Kan nooit door externe classes worden opgeroepen
		}
		
		public static function getInstance():SettingsLoader {
			if(instance==null){
				instance=new SettingsLoader(new MaarEenKeerAanmaken());
			}
			
			return instance;
		}
		
		public function loadXML():void {
			var req:URLRequest = new URLRequest("xml/settings.xml");
			var ldr:URLLoader = new URLLoader();
			ldr.addEventListener(Event.COMPLETE,completeHandler);
			ldr.load(req);
		}
		
		public function completeHandler(event:Event):void {
			var xmlSettings:XML = XML(event.currentTarget.data);
			//trace(xmlSettings);
			
			for each (var item:XML in xmlSettings.setting){
				this[item.@id] = item.toString();
			}
			
			dispatchEvent(new Event(SettingsLoader.SETTINGS_LOADED));
		}
	}
}

class MaarEenKeerAanmaken{
	
}